StatePropertyResolver (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.richfaces.ui.application.StatePropertyResolver class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.ui.application
Class StatePropertyResolver

    java.lang.Object
      javax.faces.el.PropertyResolver
          org.richfaces.ui.application.StatePropertyResolver

    public class StatePropertyResolver

extends javax.faces.el.PropertyResolver

Author:
  asmirnov

Constructor Summary
`StatePropertyResolver()`

Method Summary
`java.lang.Class` | `getType(java.lang.Object arg0, int arg1)`
`java.lang.Class` | `getType(java.lang.Object arg0, java.lang.Object arg1)`
`java.lang.Object` | `getValue(java.lang.Object arg0, int arg1)`
`java.lang.Object` | `getValue(java.lang.Object arg0, java.lang.Object arg1)`
`boolean` | `isReadOnly(java.lang.Object arg0, int arg1)`
`boolean` | `isReadOnly(java.lang.Object arg0, java.lang.Object arg1)`
`void` | `setValue(java.lang.Object arg0, int arg1, java.lang.Object arg2)`
`void` | `setValue(java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatePropertyResolver

    public StatePropertyResolver()

Method Detail

### getType

    public java.lang.Class getType(java.lang.Object arg0,
                                   java.lang.Object arg1)
                            throws javax.faces.el.EvaluationException,
                                   javax.faces.el.PropertyNotFoundException

  Specified by:
    `getType` in class `javax.faces.el.PropertyResolver`
  Throws:
    `javax.faces.el.EvaluationException`
    `javax.faces.el.PropertyNotFoundException`

### getType

    public java.lang.Class getType(java.lang.Object arg0,
                                   int arg1)
                            throws javax.faces.el.EvaluationException,
                                   javax.faces.el.PropertyNotFoundException

  Specified by:
    `getType` in class `javax.faces.el.PropertyResolver`
  Throws:
    `javax.faces.el.EvaluationException`
    `javax.faces.el.PropertyNotFoundException`

### getValue

    public java.lang.Object getValue(java.lang.Object arg0,
                                     java.lang.Object arg1)
                              throws javax.faces.el.EvaluationException,
                                     javax.faces.el.PropertyNotFoundException

  Specified by:
    `getValue` in class `javax.faces.el.PropertyResolver`
  Throws:
    `javax.faces.el.EvaluationException`
    `javax.faces.el.PropertyNotFoundException`

### getValue

    public java.lang.Object getValue(java.lang.Object arg0,
                                     int arg1)
                              throws javax.faces.el.EvaluationException,
                                     javax.faces.el.PropertyNotFoundException

  Specified by:
    `getValue` in class `javax.faces.el.PropertyResolver`
  Throws:
    `javax.faces.el.EvaluationException`
    `javax.faces.el.PropertyNotFoundException`

### isReadOnly

    public boolean isReadOnly(java.lang.Object arg0,
                              java.lang.Object arg1)
                       throws javax.faces.el.EvaluationException,
                              javax.faces.el.PropertyNotFoundException

  Specified by:
    `isReadOnly` in class `javax.faces.el.PropertyResolver`
  Throws:
    `javax.faces.el.EvaluationException`
    `javax.faces.el.PropertyNotFoundException`

### isReadOnly

    public boolean isReadOnly(java.lang.Object arg0,
                              int arg1)
                       throws javax.faces.el.EvaluationException,
                              javax.faces.el.PropertyNotFoundException

  Specified by:
    `isReadOnly` in class `javax.faces.el.PropertyResolver`
  Throws:
    `javax.faces.el.EvaluationException`
    `javax.faces.el.PropertyNotFoundException`

### setValue

    public void setValue(java.lang.Object arg0,
                         java.lang.Object arg1,
                         java.lang.Object arg2)
                  throws javax.faces.el.EvaluationException,
                         javax.faces.el.PropertyNotFoundException

  Specified by:
    `setValue` in class `javax.faces.el.PropertyResolver`
  Throws:
    `javax.faces.el.EvaluationException`
    `javax.faces.el.PropertyNotFoundException`

### setValue

    public void setValue(java.lang.Object arg0,
                         int arg1,
                         java.lang.Object arg2)
                  throws javax.faces.el.EvaluationException,
                         javax.faces.el.PropertyNotFoundException

  Specified by:
    `setValue` in class `javax.faces.el.PropertyResolver`
  Throws:
    `javax.faces.el.EvaluationException`
    `javax.faces.el.PropertyNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.